std::__future_base::_Result< _Res >(3)

NAME
std::__future_base::_Result< _Res > - A result object that has storage for an object of type _Res.

SYNOPSIS

Inherits std::__future_base::_Result_base.

Inherited by std::__future_base::_Result_alloc< _Res, _Alloc >.

  Public Types
typedef _Res result_type

  Public Member Functions
void _M_set (_Res &&__res)
void _M_set (const _Res &__res)
_Res & _M_value () noexcept

  Public Attributes
exception_ptr _M_error

Detailed Description

  template<typename _Res>
struct std::__future_base::_Result< _Res >" A result object that has storage for an object of type _Res.

Definition at line 227 of file future.

Author

Generated automatically by Doxygen for libstdc++ from the source code.